#1065 closed defect (fixed)

WCS-Client new installation is much more difficult and should update sufficient information

Reported by: bphamhuu Owned by: atoader
Priority: critical Milestone: 9.1.x
Component: petascope Version: development
Keywords: wcs-client, Cc: dmisev
Complexity: Medium

Description

In the old version of WCS-Client, one can install it easily when install Rasdaman with make && make install. But now it has a big problem with installation when:

+ rasdaman.war (in my case is embedded Jetty) user need to extract in /home/rasdaman/install/share/rasdaman/war and go to static/wcs/client and read the README.txt in here (!!!).

+ Then follow this guide with install NodeJS, NPM, run npm install, tsd install, bower install, tsc in "root directory of the project" - it is not clear what is project in here (rasdaman petascope or wcs-client).

+ Compress rasdaman petascope to rasdaman.war after have installed all things (!!!).

+ Suppose user have to this then no information about this in http://www.rasdaman.org/wiki/Install#Installingpetascope

The outcome is user could not see the interface (all is blank) in

http://localhost:8080/rasdaman/ows 

So I suggest, you should:

+ Require user need to install NodeJS, NPM, tsd, bower, tsc when user run configuration in rasdaman (./configure). If it has done, then run all the install in building progress of rasdaman petascope (rasdaman.war) and normally copy as usual to Tomcat or Jetty (/home/rasdaman/install/share/rasdaman/war).

or if in case you think user should have to do it manually, then please update in

http://www.rasdaman.org/wiki/Install#Installingpetascope

as you have done with "grpc" - I still could not install it in Centos 7 (but it is not your problem).

If you are busy I can do it for you (but I need your accept first).

Change History (11)

comment:1 Changed 23 months ago by bphamhuu

  • Component changed from undecided to petascope

comment:2 follow-up: Changed 23 months ago by bphamhuu

or if Dimitar see it should be fixed quickly, please assign to me.

comment:3 in reply to: ↑ 2 ; follow-up: Changed 23 months ago by dmisev

Replying to bphamhuu:

or if Dimitar see it should be fixed quickly, please assign to me.

No I think it's more appropriate for Alex, the dependencies for the client should be documented better so that it can be easier to setup.

comment:4 in reply to: ↑ 3 Changed 23 months ago by bphamhuu

Replying to dmisev:

Replying to bphamhuu:

or if Dimitar see it should be fixed quickly, please assign to me.

No I think it's more appropriate for Alex, the dependencies for the client should be documented better so that it can be easier to setup.

ok, I agree with you as leave for Alex Toader. But it is really problem now as no one can know (I've figured out by myself) that Petascope WCS-Client has changed (it is too easy when one can release a patch without sufficient information about more dependencies that user has to do manually, especially it is critical tool like petascope user interface).

So now, old and new user upgrade with Rasdaman versions with surprise why Petascope is just blank page as they don't know about steps as I've done.

comment:5 Changed 23 months ago by dmisev

Yes this is indeed quite surprising, I also had no idea there are new dependencies for the WCS client. We cannot rely one some obscure hidden README as an installation guideline.

comment:6 Changed 23 months ago by dmisev

Bang, can you temporarily add a link to the README at http://www.rasdaman.org/wiki/Install#Installingpetascope?

comment:7 Changed 23 months ago by bphamhuu

Ok, Dimitar, but my guide only make sense after patch for ticket 1063 is accepted because wcs-client has changed from "html" directory to "app" directory, then even user follow my guide, they still has error

Problem accessing /rasdaman/static/wcs-client/html/index.html.

comment:8 Changed 23 months ago by bphamhuu

http://www.rasdaman.org/wiki/Install#Installingpetascope I also mentioned about ticket 1063 in the guide for the sake of user. Hopefully, they could follow.

comment:9 Changed 23 months ago by atoader

Bang, the problem with the installation is due to the petascope Makefile.am which does not copy the correct files into the .war.
The part with node, npm and so on will be only for developers.
All of this is fixed, but the code is on a VM I will not have access to until Friday.

The way it works is that you follow the instructions in the readme file in wcs-client and, after you modify the petascope Makefile to copy the app folder into the war at the appropriate location, you can do make and make install.

As I said, this is fixed but I cannot submit the patch now.

comment:10 Changed 23 months ago by bphamhuu

Alex Toader, ok, thanks for your information, we will wait for your patch soon and at least user can follow my guide temporary (it is really big problem because I saw this problem last week so at least even you can not accesss your machine, one can install it without suprising).

comment:11 Changed 23 months ago by atoader

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.